Reply

Multiple EdgeBarPage in one add-in

[ Edited ]

I've got a problem to add multiple EdgeBarPages with on addIn.

 

Both works fine if they are alone but when I put the two of them I only get the second one in the EdgeBar.

 

    Public Overrides Sub OnCreateEdgeBarPage(ByVal controller As SolidEdgeCommunity.AddIn.EdgeBarController, ByVal document As SolidEdgeFramework.SolidEdgeDocument)
        ' Note: Confirmed with Solid Edge development, OnCreateEdgeBarPage does not get called when Solid Edge is first open and the first document is open.
        ' i.e. Under the hood, SolidEdgeFramework.ISEAddInEdgeBarEvents[Ex].AddPage() is not getting called.
        ' As an alternative, you can call MyAddIn.Instance.EdgeBarController.Add() in some other event if you need.

        ' Get the document type of the passed in document.
        Dim documentType = document.Type

        ' Image ID is defined in AssemblyInfo.vb.
        Dim AddInVariable = 1
        Dim AddInSimplification = 2

        ' Depending on the document type, you may have different edgebar controls.
        Select Case documentType
            Case SolidEdgeFramework.DocumentTypeConstants.igAssemblyDocument
                controller.Add(Of TraitementSimplification)(document, AddInSimplification)
                controller.Add(Of TableVariable)(document, AddInVariable)
        End Select
    End Sub

 


Romuald BERTIN
2 REPLIES

Re: Multiple EdgeBarPage in one add-in

I'll look into it and get back with you.

Jason Newell
Applications Architect
www.jasonnewell.net

Re: Multiple EdgeBarPage in one add-in

Best that I can tell, it's an issue with the API. Nothing in the SoldiEdge.Community library prevents you from adding a second page. Using Spy++, I can find both edge bar windows. Next step is to verify using C++ to make sure nothing weird is going on in the .NET side.

Jason Newell
Applications Architect
www.jasonnewell.net